# PhasicFlow: src/Interaction/sphereInteraction/sphereInteractionsLinearModels.cpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

sphereInteractionsLinearModels.cpp File Reference
Include dependency graph for sphereInteractionsLinearModels.cpp:

Go to the source code of this file.

## Macros

#define | createInteraction(ForceModel, GeomModel)

## Functions

| createBoundarySphereInteraction (pFlow::cfModels::limitedLinearNormalRolling, pFlow::stationaryGeometry)
| createBoundarySphereInteraction (pFlow::cfModels::nonLimitedLinearNormalRolling, pFlow::stationaryGeometry)
| createBoundarySphereInteraction (pFlow::cfModels::limitedLinearNormalRolling, pFlow::rotationAxisMotionGeometry)
| createBoundarySphereInteraction (pFlow::cfModels::nonLimitedLinearNormalRolling, pFlow::rotationAxisMotionGeometry)
| createBoundarySphereInteraction (pFlow::cfModels::limitedLinearNormalRolling, pFlow::vibratingMotionGeometry)
| createBoundarySphereInteraction (pFlow::cfModels::nonLimitedLinearNormalRolling, pFlow::vibratingMotionGeometry)
| createBoundarySphereInteraction (pFlow::cfModels::limitedLinearNormalRolling, pFlow::conveyorBeltMotionGeometry)
| createBoundarySphereInteraction (pFlow::cfModels::nonLimitedLinearNormalRolling, pFlow::conveyorBeltMotionGeometry)

## Macro Definition Documentation

## createInteraction

#define createInteraction | ( |  | ForceModel,
|  |  | GeomModel
| ) |  |

Value:
\
template class pFlow::sphereInteraction< \
ForceModel, \
GeomModel, \
pFlow::unsortedContactList>; \
\
template class pFlow::sphereInteraction< \
ForceModel, \
GeomModel, \
pFlow::sortedContactList>; \
createBoundarySphereInteraction(ForceModel, GeomModel)

Definition at line 30 of file sphereInteractionsLinearModels.cpp.

## Function Documentation

## createBoundarySphereInteraction() [1/8]

createBoundarySphereInteraction | ( | pFlow::cfModels::limitedLinearNormalRolling | ,
|  | pFlow::stationaryGeometry |
| ) |  |

## createBoundarySphereInteraction() [2/8]

createBoundarySphereInteraction | ( | pFlow::cfModels::nonLimitedLinearNormalRolling | ,
|  | pFlow::stationaryGeometry |
| ) |  |

## createBoundarySphereInteraction() [3/8]

createBoundarySphereInteraction | ( | pFlow::cfModels::limitedLinearNormalRolling | ,
|  | pFlow::rotationAxisMotionGeometry |
| ) |  |

## createBoundarySphereInteraction() [4/8]

createBoundarySphereInteraction | ( | pFlow::cfModels::nonLimitedLinearNormalRolling | ,
|  | pFlow::rotationAxisMotionGeometry |
| ) |  |

## createBoundarySphereInteraction() [5/8]

createBoundarySphereInteraction | ( | pFlow::cfModels::limitedLinearNormalRolling | ,
|  | pFlow::vibratingMotionGeometry |
| ) |  |

## createBoundarySphereInteraction() [6/8]

createBoundarySphereInteraction | ( | pFlow::cfModels::nonLimitedLinearNormalRolling | ,
|  | pFlow::vibratingMotionGeometry |
| ) |  |

## createBoundarySphereInteraction() [7/8]

createBoundarySphereInteraction | ( | pFlow::cfModels::limitedLinearNormalRolling | ,
|  | pFlow::conveyorBeltMotionGeometry |
| ) |  |

## createBoundarySphereInteraction() [8/8]

createBoundarySphereInteraction | ( | pFlow::cfModels::nonLimitedLinearNormalRolling | ,
|  | pFlow::conveyorBeltMotionGeometry |
| ) |  |

pFlow
Definition: demGeometry.hpp:27
pFlow::sphereInteraction
Definition: sphereInteraction.hpp:41
createBoundarySphereInteraction
createBoundarySphereInteraction(pFlow::cfModels::limitedLinearNormalRolling, pFlow::stationaryGeometry)